Details

    • Type: Improvement Improvement
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: 3.4.0
    • Component/s: build
    • Labels:
      None

      Description

      Non-numeric version strings (eg -dev) or -are not currently accepted, you either get an error (Invalid version number format, must be "x.y.z") or if you pass x.y.z-dev or x.y.z+1 you'll get a NumberFormatException. Would be useful to allow non-numeric versions.

      version-info:
           [java] All version-related parameters must be valid integers!
           [java] Exception in thread "main" java.lang.NumberFormatException: For input string: "3-dev"
           [java] 	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
           [java] 	at java.lang.Integer.parseInt(Integer.java:458)
           [java] 	at java.lang.Integer.parseInt(Integer.java:499)
           [java] 	at org.apache.zookeeper.version.util.VerGen.main(VerGen.java:131)
           [java] Java Result: 1
      

        Activity

        Mahadev konar made changes -
        Status Resolved [ 5 ] Closed [ 6 ]
        Patrick Hunt made changes -
        Status Open [ 1 ] Resolved [ 5 ]
        Resolution Duplicate [ 3 ]
        Hide
        Patrick Hunt added a comment -

        This is a dup of ZOOKEEPER-913 See the patch there (handles this case).

        Show
        Patrick Hunt added a comment - This is a dup of ZOOKEEPER-913 See the patch there (handles this case).
        Patrick Hunt made changes -
        Field Original Value New Value
        Fix Version/s 4.0.0 [ 12313382 ]
        Hide
        Patrick Hunt added a comment -

        I noticed a similar issue when I attempted to move us to the scheme hadoop core is using - x.y.z-dev as the default version. We should address this. Slating for 3.4.0

        Show
        Patrick Hunt added a comment - I noticed a similar issue when I attempted to move us to the scheme hadoop core is using - x.y.z-dev as the default version. We should address this. Slating for 3.4.0
        Eli Collins created issue -

          People

          • Assignee:
            Unassigned
            Reporter:
            Eli Collins
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development